package ink.wgink.pojo.pos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: GroupSimpleDTO
 * @Description: 组
 * @Author: WangGeng
 * @Date: 2021/2/25 11:53
 * @Version: 1.0
 **/
@ApiModel
public class GroupPO implements Serializable {

    private static final long serialVersionUID = 3689846772280087571L;
    @ApiModelProperty(name = "groupId", value = "组ID")
    private String groupId;
    @ApiModelProperty(name = "groupParentId", value = "组上级ID")
    private String groupParentId;
    @ApiModelProperty(name = "groupParentName", value = "组上级名称")
    private String groupParentName;
    @ApiModelProperty(name = "isParent", value = "是否父级")
    private Boolean isParent;
    @ApiModelProperty(name = "groupName", value = "组名称")
    private String groupName;
    @ApiModelProperty(name = "groupSummary", value = "组说明")
    private String groupSummary;
    @ApiModelProperty(name = "groupCode", value = "组编码")
    private String groupCode;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getGroupId() {
        return groupId == null ? "" : groupId.trim();
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupParentId() {
        return groupParentId == null ? "" : groupParentId.trim();
    }

    public void setGroupParentId(String groupParentId) {
        this.groupParentId = groupParentId;
    }

    public String getGroupParentName() {
        return groupParentName == null ? "" : groupParentName.trim();
    }

    public void setGroupParentName(String groupParentName) {
        this.groupParentName = groupParentName;
    }

    public Boolean getParent() {
        return isParent;
    }

    public void setParent(Boolean parent) {
        isParent = parent;
    }

    public String getGroupName() {
        return groupName == null ? "" : groupName.trim();
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupSummary() {
        return groupSummary == null ? "" : groupSummary.trim();
    }

    public void setGroupSummary(String groupSummary) {
        this.groupSummary = groupSummary;
    }

    public String getGroupCode() {
        return groupCode == null ? "" : groupCode.trim();
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"groupId\":\"")
                .append(groupId).append('\"');
        sb.append(",\"groupParentId\":\"")
                .append(groupParentId).append('\"');
        sb.append(",\"groupParentName\":\"")
                .append(groupParentName).append('\"');
        sb.append(",\"isParent\":")
                .append(isParent);
        sb.append(",\"groupName\":\"")
                .append(groupName).append('\"');
        sb.append(",\"groupSummary\":\"")
                .append(groupSummary).append('\"');
        sb.append(",\"groupCode\":\"")
                .append(groupCode).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
